# pb_ds::list_update< Key, Mapped, Eq_Fn, Update_Policy, Allocator > Class Template Reference

Inheritance diagram for pb_ds::list_update< Key, Mapped, Eq_Fn, Update_Policy, Allocator >:

List of all members.

## Detailed Description

### template<typename Key, typename Mapped, class Eq_Fn = typename detail::default_eq_fn<Key>::type, class Update_Policy = detail::default_update_policy::type, class Allocator = std::allocator<char>>
class pb_ds::list_update< Key, Mapped, Eq_Fn, Update_Policy, Allocator >

Definition at line 644 of file assoc_container.hpp.

## Public Types

- typedef Allocator allocator
- typedef base_type::const_iterator const_iterator
- typedef key_rebind::const_pointer const_key_pointer
- typedef key_rebind::const_reference const_key_reference
- typedef mapped_rebind::const_pointer const_mapped_pointer
- typedef mapped_rebind::const_reference const_mapped_reference
- typedef base_type::const_point_iterator const_point_iterator
- typedef value_rebind::const_pointer const_pointer
- typedef value_rebind::const_reference const_reference
- typedef Tag container_category
- typedef allocator::difference_type difference_type
- typedef Eq_Fn eq_fn
- typedef base_type::iterator iterator
- typedef key_rebind::pointer key_pointer
- typedef allocator::template
  rebind< key_type >::other key_rebind
- typedef key_rebind::reference key_reference
- typedef allocator::template
  rebind< Key >::other::value_type key_type
- typedef mapped_rebind::pointer mapped_pointer
- typedef allocator::template
  rebind< mapped_type >::other mapped_rebind
- typedef mapped_rebind::reference mapped_reference
- typedef Mapped mapped_type
- typedef base_type::point_iterator point_iterator
- typedef value_rebind::pointer pointer
- typedef value_rebind::reference reference
- typedef allocator::size_type size_type
- typedef Update_Policy update_policy
- typedef allocator::template
  rebind< value_type >::other value_rebind
- typedef base_type::value_type value_type

## Public Member Functions

- list_update (const list_update &other)
- template<typename It> list_update (It first, It last)
- list_update ()
- list_update & operator= (const list_update &other)
- void swap (list_update &other)
- virtual ~list_update ()

The documentation for this class was generated from the following file:

- assoc_container.hpp